// input.h

class CInput: public irr::IEventReceiver
{
public:
	CInput(void);
	~CInput(void);

	void Loop(void);
	bool Init(void);
	void Exit(void);
	void Reset(void);

	virtual bool OnEvent(irr::SEvent Event); 

private:

	bool m_KeyState[irr::KEY_KEY_CODES_COUNT]; // Array storing current keydown information
	bool m_MButtons[2];                        // Array storing mousebutton states. Index 0=LButton, 1=RButton
};

